﻿@import './typography.css?v=2.25.0';
@import './utilities.css?v=2.25.0';

@import './components/alerts.css';
@import './components/dialog.css';
@import './components/icon-list.css';
@import './components/page-header.css';
@import './components/rotation-card.css';

@import './overrides.css';
@import './library/buttons.css?v=2.25.0';
@import './library/colors.css?v=2.26.0';
@import './library/table.css';
@import './library/components.css?v=2.25.0';

/** 
    * Sky Watch Blue: #8BCED7
    * Sky Watch Blue 15%: #EEF8F9
    * Sky Watch Blue 30%: #e3f0f2
    * Lazurite Blue: #184F64
    * Lazurite Blue 15%: #DCE5E8
    * Link Blue: #950b8 (Tinted)
    * Black: #212529;
    * Alert Yellow: #FFF3CD;
*/

html {
    scroll-padding-top: 150px;
}

body {
    background: #F6F4F1;
}

iframe {
    border-width: 0;
}

/** Navigation */
.navbar-fixed-top .navbar-collapse {
    max-height: 100%;
}

.navbar-brand {
    min-height: 75px;
    padding: 0;
}

.navbar-default {
    padding: 15px;
    background: #fff;
    border-bottom: 3px solid #8ACDD7;
}

    .navbar-default i {
        font-size: 18px; /* Equivalent to btn-lg */
    }

.navbar-nav .btn-link {
    padding: 8px;
}

.nav-content {
    text-transform: capitalize;
    font-weight: bold;
}

.navbar-default .navbar-nav > li > a.navbar-nav--primary {
    color: #184F64;
    padding: 15px; /* match .dropdown */
}

.navbar-default .dropdown-menu > li > a {
    color: #184F64;
}

.navbar-default .navbar-nav > li > a {
    color: #184F64;
}

.navbar-default .navbar-nav > .open > a,
.navbar-default .navbar-nav > .open > a:focus,
.navbar-default .navbar-nav > .open > a:hover {
    background: transparent;
}

.nav .open > a, .nav .open > a:hover, .nav .open > a:focus {
    background: transparent;
    border: none;
}

.dropdown-menu > li > a:focus {
    outline: none;
    outline-offset: 0;
    background: transparent;
}

.navbar-default .dropdown-menu > li > a:hover {
    background: #EEF8F9;
    color: #184F64;
}

.navbar-fixed-top {
    position: absolute; /* On mobile, we need to be able to scroll. */
}


.dropdown-submenu .dropdown-menu {
    background-color: #fff;
    margin-left: 1.5rem;
}

.dropdown-submenu > a:after {
    display: block;
    content: " ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #cccccc;
    margin-top: 5px;
    margin-right: -10px;
}

/* On desktop, we want to display submenu items on hover */
/* Dropdowns were supported in Bootstrap 2.x */
/* At 776px, the screen no longer displays the hamburger menu */

@media only screen and (min-width: 776px) {
    .navbar-brand {
        margin-right: 1rem;
    }
}

@media only screen and (max-width: 1179px) {
    .nav-name {
        display: none;
    }
}

@media only screen and (min-width : 1180px) {
    .nav-content {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .nav-content-secondary {
        flex-direction: column;
    }

    .nav-name {
        text-align: right;
    }

        .nav-content-menu > .navbar-nav,
        .nav-name .navbar-nav,
        .nav-icons .navbar-nav {
            display: flex;
        }

    .navbar-nav > li > a {
        white-space: nowrap;
    }

    .navbar-fixed-top {
        position: fixed;
    }

    .navbar-default .navbar-nav > li > .dropdown-menu,
    .navbar-default .navbar-nav > li > .dropdown-menu > .dropdown-submenu > .dropdown-menu {
        border-radius: 4px;
        border: 1px solid #184F64;
        box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.25);
    }

    .nav .open > a {
        background: #184F64;
        color: #EEF8F9;
    }

    .navbar-default .dropdown .dropdown-toggle {
        color: #184F64;
    }

        .navbar-default .dropdown .dropdown-toggle:hover {
            color: #184F64;
        }

    .dropdown-menu::before {
        border-bottom: 9px solid #184F64;
        border-left: 9px solid rgba(0, 0, 0, 0);
        border-right: 9px solid rgba(0, 0, 0, 0);
        content: "";
        display: inline-block;
        left: 8.5%; /* position */
        position: absolute;
        top: -9px;
    }

    .dropdown-submenu .dropdown-menu::before {
        content: none;
    }

    .dropdown-submenu {
        position: relative;
    }

        .dropdown-submenu > .dropdown-menu {
            top: 0;
            left: 75%;
            margin-top: -6px;
            margin-left: -1px;
            -webkit-border-radius: 0 6px 6px 6px;
            -moz-border-radius: 0 6px 6px 6px;
            border-radius: 0 6px 6px 6px;
        }

        .dropdown-submenu:hover > .dropdown-menu {
            display: block;
        }

        .dropdown-submenu:hover > a:after {
            border-left-color: #cccccc;
        }

        .dropdown-submenu.pull-left {
            float: none;
        }

            .dropdown-submenu.pull-left > .dropdown-menu {
                left: -100%;
                margin-left: 10px;
                -webkit-border-radius: 6px 0 6px 6px;
                -moz-border-radius: 6px 0 6px 6px;
                border-radius: 6px 0 6px 6px;
            }

    .navbar-nav li:hover > ul.dropdown-menu {
        display: block;
    }

    .icon-align li a {
        padding: 0.5rem 0.75rem;
    }
}

@media only screen and (min-width: 1200px) {
    .navbar-brand {
        margin-right: 3rem;
    }
}

/* Content / Cards  */
.Content-header {
    border-bottom: none;
    padding-bottom: 0;
    margin-bottom: 0;
}

.Content-body,
.Card {
    background: #fff;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    padding: 15px;
    margin-bottom: 8rem;
}

.Card--wide {
    max-width: min-content;
    min-width: 700px;
    padding: 2rem 4rem;
}

.Content-body tr,
.Content-body th,
.Content-body td {
    padding: 10px 5px;
    word-wrap: break-word;
}


@media only screen and (min-width : 776px) {
    .Content-body {
        margin-bottom: 6rem;
    }
}

/** Tables */
.shortTable tr,
.shortTable th,
.shortTable td {
    padding: 0;
}

.ResetTable tr,
.ResetTable th,
.ResetTable td {
    padding: 0.5rem;
}

/** Form Elements */
.Caption {
    font-weight: bold;
}

div.checkbox {
    margin-right: 1rem;
}

.grid div.checkbox {
    margin-right: 0;
}

#mygrid div.checkbox {
    margin: 0;
}

[data-toggle="toggle"] {
    display: none;
}

.form-inline .radio > * {
    margin-right: 1rem;
}

.multiselect-parent {
    width: 100%;
}


.radio {
    margin-top: 4px;
}

.radio input[type="radio"],
.radio-inline input[type="radio"],
.checkbox input[type="checkbox"],
.checkbox-inline input[type="checkbox"] {
    position: initial;
    margin-left: 0;
}

    .radio label, .checkbox label {
        padding-left: 5px;
    }

.padded-radio-label label {
    font-weight: normal;
    padding-left: 10px;
}

.checkbox.Caption label {
    font-weight: bold;
}

.Checkbox input {
    margin-right: 5px;
}

.Checkbox label {
    font-weight: normal;
}

.Checkbox > * {
    margin-right: 1.5rem;
}

.checkbox-custom-color {
    accent-color: #184F64;
}

.ColoredCheckBoxList input {
    margin-right: 5px;
}

.ColoredCheckBoxList label {
    font-weight: normal;
}

.checkbox-custom-color {
    accent-color: #184F64;
}

/** Grids */
.LineBorder {
    border: 1px solid #ddd; /* Match panel-default */
    background-color: #FFFFFF;
}

.grid {
    width: 100%;
}

.GridButtonGroup .dropdown-menu {
    padding: 16px;
}

.animate-switch-container {
    border: none;
    margin: 0.5rem;
}

.animate-switch {
    padding: 0;
}

.GridView {
    max-height: 650px;
    overflow: auto;
    display: inline-block;
}

.GridView--small {
    max-height: 400px;
}

.GridView table,
.GridView tbody {
    min-width: 450px;
}

.TreeView img {
    height: 14px;
    width: 14px;
}

.TreeView tr, .TreeView td {
    padding: 4px !important;
}

/** Grid Rows */
.OddRow, .Oddrow {
    background: #F2F2F2;
}

.OddRow--light, .Oddrow--light {
    background: #F8F8F8;
}

.InstructorRow {
    background: #FFF3CD;
    height: 100%;
}

.rowLevel-0 {
    background-color: #F2F2F2;
    height: 100%;
    width: 100%;
    padding: 2px 0;
}

.rowLevel-1 {
    background-color: #F2F7FB;
    height: 100%;
    border-right: solid 1px #F2F7FB !important;
    padding: 2px 0;
}

    /* Checkboxes in row levels */
    .rowLevel-1 input {
        margin: 0 4px 0 0;
    }

.mySchoolCompliance, td:not(:first-of-type) {
    vertical-align: top;
}


/** Buttons */
.Button--light {
    background-color: #f7fbfd;
    border: 1px solid #e0e0e0;
    color: #1b5064;
}

.Button--dark {
    background-color: #1B5064;
    border: 1px solid #1B5064;
    color: #fff !important;
}

    .Button--dark, .Button--dark:active, .Button--dark:visited {
        color: #fff !important;
    }

/* -- Icon only Buttons -- */
.Button--transparent {
    background-color: transparent;
    color: #1B5064;
    border: 0;
}

.Button--clone,
.Button--trash {
    width: 39px;
    height: 34px;
    padding: 10px;
}

.GridButton {
    padding: 2px;
}

    .GridButton i {
        color: #7b7b7b;
    }

/* Headings */
.HeaderRow,
.ConsortiumCalendar thead {
    font-weight: bold;
    color: #184F64;
    padding: 0.75rem;
    background: #EEF8F9 !important;
}

.selectedrow,
.HeaderRow--secondary {
    background: #EAEAEB !important;
}

.HeaderRow--tertiary {
    background: #f6f6f7;
}

.EvenRow .HeaderRow--secondary {
    background: #FAFAFA;
}

.Heading-secondary {
    color: #1B5064;
    font-weight: 500;
    font-size: 18px;
}

/* Messages */
.Messages {
    height: 400px;
    padding: 15px;
    overflow: auto;
}


/**  Footer */
.Footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #8ACDD7;
    padding: 0.5rem 0;
    text-align: center;
    z-index: 999;
}

    .Footer li + li:before {
        content: "|";
        margin-right: 1rem;
    }

@media only screen and (min-width : 776px) {
    .Footer-links {
        text-align: left;
    }

    .Footer-copyright {
        text-align: right;
    }
}

/* Filter Overlay */
.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    left: 0;
    top: 0;
    overflow-y: auto;
    overflow-x: hidden;
    background-color: #fff;
    z-index: 1040; /* navbar is 1030 */
    border: 1px solid #DBDDE0;
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */     
}

.filter-panel-close {
    color: #1B5064;
    font-weight: 900;
    font-size: 24px;
    border: none;
    background-color: transparent;
    float: right;
    margin-top: 20px;
    margin-bottom: 10px;
    line-height: normal;
}

.filter-panel-header {
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

/** ExpandableHeader */
.ExpandableHeader {
    background: #EEF8F9;
    color: #1B5064;
    display: flex;
    padding: 0.563rem 0.75rem; /* Attempt to match HeaderRow height */
    justify-content: space-between;
    align-items: center;
}

.ExpandableHeader-title {
    font-weight: bold;
}

.ExpandableHeader-date {
    font-weight: normal;
    font-size: small;
}

.ExpandableHeader-icon {
    font-weight: normal;
}

    .ExpandableHeader-icon .btn {
        box-shadow: none;
    }

        .ExpandableHeader-icon .btn i {
            color: #0B75E0;
        }

.ExpandableBody {
    border: 1px solid #DBDDE0;
    border-top: 0;
    padding: 1rem;
}

/** ExpandableHeader for ng-table */
.ExpandableHeaderGroup {
    background: #D6EDF1;
    color: #1B5064;
    padding: 4px;
    font-weight: bold;
}

.ExpandableHeaderGroup-link {
    color: #1B5064;
    padding: 4px;
    text-decoration: none;
}

    .ExpandableHeaderGroup-link:focus,
    .ExpandableHeaderGroup-link:hover {
        text-decoration: none;
    }

/** Popup */
.popup {
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 1rem;
    box-shadow: 9px 9px 26px -2px rgb(0 0 0 / 30%)
}

    .popup .footer {
        background-color: #fff;
    }

/** Tabs */
td.Tab {
    border-radius: 8px 8px 0 0;
    border: 1px solid #E0E1E4;
    padding: 1rem !important;
    color: #1B5064;
}

.TabContainer table:first-child {
    border-collapse: separate;
}

.TabContainer td {
    padding: 0;
}

td.Tab table td {
    padding: 1rem;
}

.GridTab {
    border-bottom: 1px solid #ddd;
}

    .GridTab .nav-tabs {
        border-bottom: none;
    }

/** Dropdown */
.Dropdown {
    overflow: scroll;
    width: 500px;
    height: 250px;
}

/** Misc */
.webdatechooser img,
.Icon--small {
    width: 12px;
    margin: 4px;
}

.Icon--xsmall {
    width: 8px;
    margin: 6px;
}

.selected {
    background: #FFF3CD !important;
}

/*Consortium Grid CSS*/
#scrollable-area {
    width: 100%;
    overflow-x: scroll;
    height: 650px;
    overflow-y: scroll; /* <-- here is what is important*/
}

.GridCell {
    padding: 4px;
}

.dvbox {
    text-align: center;
    border-radius: 15px;
}

    .dvbox.dvsuccess {
        border: 1.5px solid #83C886;
        background-color: #E7F4E8;
        color: #83C886;
        padding-top: 2px;
        padding-bottom: 2px;
    }

    .dvbox.dvdanger {
        border: 1.5px solid #FF8A64;
        background-color: #FFE8E1;
        color: #FF8A64;
        padding-top: 2px;
        padding-bottom: 2px;
    }

    .dvbox.dvwarning {
        border: 1.5px solid #856404;
        background-color: #FFF3CD;
        color: #856404;
        padding-top: 2px;
        padding-bottom: 2px;
    }

    .dvbox.dvdisabled {
        border: 1.5px solid #b6b6b8;
        background-color: #e8e5e5;
        color: #949090;
        padding-top: 2px;
        padding-bottom: 2px;
    }

/* Dropdown Button */
.dropbtn {
    color: white;
    background-color: #3e8e41;
    border-color: #357ebd;
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.428571429;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    width: auto;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    width: auto;
}

    /* Links inside the dropdown */
    .dropdown-content div {
        text-decoration: none;
        display: block;
        margin: 1px;
    }

        /*Change color of dropdown links on hover */
        .dropdown-content div:hover {
            border: 1px solid;
            cursor: pointer;
            margin: 2px;
            font-weight: bold;
        }

.userbadge {
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 5px;
    font-size: x-large;
}

    .userbadge.userbadge-orange {
        display: inline-block;
        vertical-align: middle;
        border: 1.5px solid #F2755E;
        background-color: #F2755E;
        color: white;
        padding-top: 7px;
    }

    .userbadge.userbadge-blue {
        display: inline-block;
        vertical-align: middle;
        border: 1.5px solid #8BCED7;
        background-color: #8BCED7;
        color: white;
        padding-top: 7px;
    }

    .userbadge.userbadge-green {
        display: inline-block;
        vertical-align: middle;
        border: 1.5px solid #83C886;
        background-color: #83C886;
        color: white;
        padding-top: 7px;
    }

.userbadgename {
    display: inline-block;
    width: 84%;
    font-family: poppins;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
    padding-left: 5px;
    position: relative;
    top: 10px;
}

.userbadgeemail {
    display: inline-block;
    width: 100%;
    font-family: poppins;
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    color: #777474;
}

.dvboxdd {
    text-align: left;
    border-radius: 15px;
    float: right;
    padding-left: 5px;
    font-size: smaller;
    font-weight: 600;
}

    .dvboxdd.dvsuccess {
        border: 1.5px solid #83C886;
        background-color: #E7F4E8;
        color: #83C886;
        padding-top: 2px;
        width: 55px;
    }

    .dvboxdd.dvdanger {
        border: 1.5px solid #FF8A64;
        background-color: #FFE8E1;
        color: #FF8A64;
        padding-top: 2px;
        width: 62px;
    }

    .dvboxdd.dvwarning {
        border: 1.5px solid #856404;
        background-color: #FFF3CD;
        color: #856404;
        width: 123px;
        padding-top: 2px;
    }

div .scrollable-table {
    max-height: 420px;
    overflow-y: auto;
    padding-top: 10px;
    border-bottom: 1px solid #CCC;
    border-radius: 4px;
}

    div .scrollable-table table thead {
        background-color: white;
        margin-top: -3px !important;
        border-top: 1px solid #ccc;
    }

        div .scrollable-table table thead tr th {
            height: 37px;
        }

.dropdown-disabled {
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px px;
    text-overflow: '';
    background-color: inherit !important;
}

/*........................mceOrgUserManagementApp styles........................*/
div[ng-app="mceOrgUserManagementApp"] {
    color: #43494D;
    /* H5 Poppins Medium */
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%; /* 25.2px */
}

    div[ng-app="mceOrgUserManagementApp"]
    .panel-default > .panel-heading {
        display: flex;
        /*width: 1258px;*/
        padding: 12px 905px 12px 14px;
        align-items: center;
        border-radius: 5px 5px 0px 0px;
        border: 1px solid var(--Additional-info-text, #BBBDBF);
        background: #E8F5F7;
    }

        div[ng-app="mceOrgUserManagementApp"]
        .panel-default > .panel-heading > h3, .HeaderRow h3 {
            color: var(--Black-Lazurite-Blue, #184F64);
            text-align: center;
            /* H4 Poppins Medium */
            font-family: Poppins;
            font-size: 20px;
            font-style: normal;
            font-weight: 500;
            line-height: 130%; /* 26px */
        }

    div[ng-app="mceOrgUserManagementApp"]
    label {
        display: inline-block;
        max-width: 100%;
        margin-bottom: 5px;
        color: var(--Black-Body-text, #212529);
        /* Body Large Poppins */
        font-family: Poppins;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        line-height: 150%; /* 27px */
    }

    div[ng-app="mceOrgUserManagementApp"]
    .Caption {
        color: #43494D !important;
        /* H5 Poppins Medium */
        font-family: Poppins;
        font-size: 18px;
        font-style: normal;
        font-weight: 500 !important;
        line-height: 140% !important; /* 25.2px */
    }

    div[ng-app="mceOrgUserManagementApp"]
    .form-control {
        width: 100%;
        line-height: 1.42857143;
        color: #555;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
        -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
        border-radius: 4px;
        border: 1px solid var(--Components-Forms-Input-border, #CED4DA);
        background: var(--global-09-white, #FFF);
        /*display: flex;*/
        min-height: 43px;
        padding: 8px;
        justify-content: center;
        align-items: center;
        align-self: stretch;
        color: var(--Black-Body-text, #212529);
        /* Body Large Poppins */
        font-family: Poppins;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        line-height: 150%; /* 27px */
    }


.stsbox-small {
    display: inline-flex;
    padding: 2px;
    align-items: center;
    gap: 10px;
    border-radius: 32px;
}

    .stsbox-small.stsbox-small-success {
        border: 1px solid #83C886;
        background: #E7F4E8;
        color: #83C886;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
    }

    .stsbox-small.stsbox-small-warning {
        border: 1px solid #FF8A64;
        background: #FFE8E1;
        color: #FF8A64;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
    }

    .stsbox-small.stsbox-small-inactive {
        border: 1px solid #737577;
        background: #DBDDE0;
        color: #737577;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
    }

.stsbox-big {
    display: flex;
    width: 120px;
    padding: 7px 20px;
    justify-content: center;
    align-items: center;
    border-radius: 32px;
}

    .stsbox-big.stsbox-big-success {
        border-radius: 32px;
        border: 1px solid var(--Success-Alert---dark, #83C886);
        background: var(--Success-Alert---light, #E7F4E8);
        color: var(--Success-Alert---dark, #83C886);
        text-align: center;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
    }

    .stsbox-big.stsbox-big-warning {
        border: 1px solid #FF8A64;
        background: #FFE8E1;
        color: #FF8A64;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
    }

    .stsbox-big.stsbox-big-inactive {
        border: 1px solid var(--Sub-header-grey, #737577);
        background: #DBDDE0;
        color: #737577;
        text-align: center;
        font-family: Poppins;
        font-size: 12px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
    }

div[ng-app="mceOrgUserManagementApp"]
.userbadge {
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 5px;
    font-size: x-large;
    display: inline-block;
    vertical-align: middle;
}

    div[ng-app="mceOrgUserManagementApp"]
    .userbadge.userbadge-orange {
        border: 1.5px solid #F2755E;
        background-color: #F2755E;
        color: white;
    }

    div[ng-app="mceOrgUserManagementApp"]
    .userbadge.userbadge-blue {
        border: 1.5px solid #8BCED7;
        background-color: #8BCED7;
        color: white;
    }

    div[ng-app="mceOrgUserManagementApp"]
    .userbadge.userbadge-green {
        border: 1.5px solid #83C886;
        background-color: #83C886;
        color: white;
    }

div[ng-app="mceOrgUserManagementApp"]
.userbadgename {
    display: inline-block;
    width: 80%;
    font-family: poppins;
    font-weight: 400;
    font-size: 16px;
    /*line-height: 21px;*/
    line-height: 150%; /* 24px */
    padding-left: 5px;
    position: relative;
    top: 10px;
    color: #000;
}

div[ng-app="mceOrgUserManagementApp"]
.userbadgeemail {
    display: inline-block;
    width: 100%;
    font-family: poppins;
    font-weight: 400;
    font-size: 16px;
    /*line-height: 18px;*/
    line-height: 150%; /* 24px */
    color: var(--Sub-header-grey, #737577);
}

div[ng-app="mceOrgUserManagementApp"]
.superuserlabel {
    width: 100%;
    height: 18px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 160%;
    color: #856404;
    flex: none;
    order: 1;
    flex-grow: 0;
    display: inline-block;
}

div[ng-app="mceOrgUserManagementApp"]
.btn {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 18px;
    font-weight: normal;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.circle-text {
    color: #FFF;
    text-align: center;
    font-family: Lora;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.SideHeader {
    color: #000;
    /* H3 Lora */
    font-family: Lora;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 130%; /* 26px */
}

.SideHeaderDescription {
    color: #737577;
    /* Body Small */
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 24px */
}

div[ng-app="mceOrgUserManagementApp"]
.form-group .glyphicon {
    right: -30px;
    position: absolute;
    top: 35px;
    font-family: "Font Awesome 5 Free";
    font-size: 24px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    color: #D4DCDF !important;
}

.form-group .glyphicon-eye-close {
    color: #737577 !important;
}

.success-check {
    color: #02A34D;
    /* Metadata Captions */
    font-family: Poppins;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 160%; /* 22.4px */
}

.success-uncheck {
    color: #737577;
    /* Metadata Captions */
    font-family: Poppins;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 160%; /* 22.4px */
}

.warning-message {
    color: var(--Warning-Alert---Dark, #856404);
    /* Body Small */
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 24px */
}

.DetailsSubHeader { 
    color: var(--Black-Lazurite-Blue, #184F64);
    /* Body Small */
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 24px */
}

.NameHeader {
    display: inline-block;
    width: 84%;
    padding-left: 5px;
    position: relative;
    top: 10px;
    color: #000;
    /* H4 Poppins Medium */
    font-family: Poppins;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%; /* 26px */
}

.NoteHeader {
    display: inline-block;
    width: 100%;
    color: var(--Black-Body-text, #212529);
    /* Body Large Poppins */
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 27px */
}

.userbadge-header {
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 5px;
    font-size: 25px;
    font-family: Poppins;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

    .userbadge-header.userbadge-header-blue {
        display: inline-block;
        border: 1.5px solid #8BCED7;
        background-color: #8BCED7;
        color: #FFF;
        padding-top: 5px;
    }

.popup-header {
    font-family: Lora;
    font-size: 28px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.popup-body {
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 27px */
}

div[ng-app="mceOrgUserManagementApp"]
.row {
    margin-right: -15px;
    margin-left: -15px;
    margin-top: 30px;
}

div[ng-app="mceOrgUserManagementApp"]
input[type="radio"], input[type="checkbox"] {
    margin: 4px 0 0;
    margin-top: 1px \9;
    line-height: normal;
    margin-bottom: 15px;
    transform: scale(1.5);
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
    margin-right: 5px;
}

.mt-30 {
    margin-top: 30px;
}

.mb-30 {
    margin-bottom: 30px;
}

div[ng-app="mceOrgUserManagementApp"]
.caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px dashed;
    border-top: 4px solid \9;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    transform: scale(1.5);
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
}

div[ng-app="mceOrgUserManagementApp"]
.required-field {
    width: 8px;
    position: relative;
    top: -5px;
    left: 1px;
    margin-left: 5px;
}

div[ng-app="mceOrgUserManagementApp"]
.text-danger {
    color: #DC3545 !important;
    font-size: 16px;
}

div[ng-app="mceOrgUserManagementApp"]
.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    font-size: 18px;
    text-align: left;
    list-style: none;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
}

.invalid-date {
    border-color: #DC3545 !important;
}

.border {
    border: 1px solid #DBDDE0;
}

.border-top {
    border-top: 1px solid #DBDDE0;
}

.border-bottom {
    border-bottom: 1px solid #DBDDE0;
}

.border-left {
    border-left: 1px solid #DBDDE0;
}

.border-right {
    border-right: 1px solid #DBDDE0;
}

.rounded {
    border-radius: 0.55rem;
}

.rounded-top {
    border-top-right-radius: 0.55rem;
    border-top-left-radius: 0.55rem;
}

.rounded-right {
    border-bottom-right-radius: 0.55rem;
    border-top-right-radius: 0.55rem;
}

.rounded-bottom {
    border-bottom-right-radius: 0.55rem;
    border-bottom-left-radius: 0.55rem;
}

.rounded-left {
    border-bottom-left-radius: 0.55rem;
    border-top-left-radius: 0.55rem;
}

.rounded-circle {
    border-radius: 50%;
}

.rounded-0 {
    border-radius: 0 !important;
}

.lh-md {
    line-height: 5rem !important;
}

.container-header {
    font-family: Lora;
    font-weight: 400;
    font-size: 28px;
    line-height: 33.6px;
    color: #184F64;
}

.container-subheader {
    font-family: Lora;
    font-weight: 500;
    font-size: 24px;
    line-height: 28.8px;
    color: #184F64;
}

.helper {
    font-family: poppins;
    font-weight: 400;
    font-size: 18px;
    line-height: 27px;
}

.content-split {
    font-family: poppins;
    font-weight: 500;
    font-size: 20px;
    line-height: 26px;
}

.content-split-dash {
    border-bottom: 1px solid #DBDDE0;
}

/* Skeleton Loader CSS */
.skeleton {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.skeleton-line-sm {
    display: block;
    height: 1rem;
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    background-size: 200% 100%;
    animation: loading 1.5s infinite;
    border-radius: 6px;
    margin-bottom: 1rem;
}

.skeleton-line-md {
    display: block;
    height: 1.5rem;
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    background-size: 200% 100%;
    animation: loading 1.5s infinite;
    border-radius: 6px;
    margin-bottom: 1.5rem;
}

.skeleton-line-lg {
    display: block;
    height: 2rem;
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    background-size: 200% 100%;
    animation: loading 1.5s infinite;
    border-radius: 6px;
    margin-bottom: 2rem;
}

.skeleton-line-xl {
    display: block;
    height: 2rem;
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    background-size: 200% 100%;
    animation: loading 1.5s infinite;
    border-radius: 6px;
}

.skeleton-circle-sm {
    width: 4vw;
    height: 4vw;
    border-radius: 50%;
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    animation: loading 1.5s infinite ease-in-out;
}

.skeleton-circle-md {
    width: 5vw;
    height: 5vw;
    border-radius: 50%;
    background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
    animation: loading 1.5s infinite ease-in-out;
}

@keyframes loading {
    0% {
        background-position: 200% 0;
    }

    100% {
        background-position: -200% 0;
    }
}

.d-grid {
    display: grid !important;
}

.header-name > span {
    font-family: Lora;
    font-size: 28px;
    font-weight: 400;
    line-height: 36px;
    text-align: left;
    color: #184F64;
}

.description {
    font-family: Poppins;
    font-size: 18px;
    font-weight: 400;
    line-height: 27px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    color: #43494D;
}

    .description > .description-bold {
        font-weight: 600 !important;
    }


.nav-link {
    font-family: Poppins;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    color: #1E5AB8;
    cursor: pointer;
}

    .nav-link:hover {
        text-decoration: underline;
    }

a.disabled-link {
    pointer-events: none;
    cursor: default;
    color: #BBBDBF !important;
    text-decoration-line: none !important;
}

i.disabled-link {
    pointer-events: none;
    cursor: default;
    color: #BBBDBF !important;
    text-decoration-line: none !important;
}

.no-underline {
    text-decoration-line: none !important;
}

    .no-underline:active {
        text-decoration-line: none !important;
    }

    .no-underline:hover {
        text-decoration-line: none !important;
    }

.no-items {
    font-family: Poppins;
    font-size: 18px;
    font-weight: 500;
    line-height: 25.2px;
    text-align: center;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    color: #184F64;
}

.loading-popup {
    position: fixed;
    z-index: 200;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
}

.loading-popup-content {
    background-color: #000;
    width: 15%;
    margin: 10% auto;
    font-weight: bolder;
    border-radius: 0.3rem;
    height: 10vh;
    color: #fff;
    align-content: center;
    text-align: center;
    font-size: 20px;
}

.app-margin {
    padding-left: 3rem;
    padding-right: 3rem;
}

.ws-normal {
    white-space: normal;
}

.label {
    font-family: Poppins;
    font-size: 18px;
    font-weight: 400;
    line-height: 27px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
}

.label-lg {
    font-family: Poppins;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
}

.form-control-new {
    width: 100%;
    line-height: 1.42857143;
    color: #BBBDBF;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    border-radius: 4px;
    border: 1px solid var(--Components-Forms-Input-border, #CED4DA);
    background: var(--global-09-white, #FFF);
    /*display: flex;*/
    min-height: 43px;
    padding: 8px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    color: var(--Black-Body-text, #212529);
    /* Body Large Poppins */
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 27px */
}

    .form-control-new:focus {
        outline: none;
    }

.text-wrap-auto {
    text-wrap: auto;
}

.overflow-x-auto {
    overflow-x: auto;
}

.overflow-x-scroll {
    overflow-x: scroll;
}

.overflow-x-hidden {
    overflow-x: hidden;
}

.cursor-pointer {
    cursor: pointer;
}

.body-panel {
    border-radius: 0.55rem;
    background: #FFFFFF;
}

.align-controls-center {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.438rem;
}

.empty-state-layout {
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1.81rem;
}

.empty-state-innerlayout {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.empty-state-content {
    font-family: Lora;
    font-size: 28px;
    font-weight: 400;
    line-height: 120%;
    text-align: center;
    color: #184F64;
}

.empty-state-subcontent {
    font-family: Poppins;
    font-size: 18px;
    font-weight: 400;
    line-height: 150%;
    text-align: center;
    color: #43494D;
    width: 360px;
}

.separator {
    border-bottom: 1px solid #8BCED7;
    width: 1800px;
    height: 0;
    flex-shrink: 0;
}

.step-inactive {
    color: #184F64;
    text-align: center;
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.truncate {
    width: 90%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.overflow-hidden {
    overflow: hidden !important;
}

.position-relative {
    position: relative !important;
}
.meatball-popup {
    display: flex;
    width: 295px;
    height: auto;
    padding: 15px;
    flex-direction: column;
    align-items: flex-start;
    gap: 13px;
    left: 95%;
    color: #184F64;
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px; /* 137.5% */
    position: absolute;
    z-index: 1000;
    box-shadow: 0 2px 6px rgba(0,0,0,0.2);
    cursor: pointer;
    border-radius: 4px;
    background: #FFF;
}

.popup-cell-wrapper {
    overflow: visible;
    border-bottom: none !important;
}

.background-greyout {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vw;
    background: rgba(115, 117, 119, 0.20);
    z-index: 99999;
}